<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Cooprer</title>
  <meta name="generator" content="amaya 8.7.2, see http://www.w3.org/Amaya/"
  />
  <link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body xml:lang="fr" lang="fr">

<div class="PageHead">
Amaya<img alt="logo" src="../../resources/icons/22x22/logo.png" class="logo"
/> 

<p class="nav"><a href="Publishing.html.fr" accesskey="p"><img alt="previous"
src="../../resources/icons/misc/left.png" /></a> <a href="Manual.html.fr"
accesskey="t"><img alt="top" src="../../resources/icons/misc/up.png" /></a>
<a href="Printing.html.fr" accesskey="n"><img alt="next"
src="../../resources/icons/misc/right.png" /></a></p>
</div>

<div id="WebDAV" class="PageBody">
<h2 id="Coop">Cooprer</h2>

<h3 id="L49"> propos de WebDAV</h3>

<p><a href="http://www.webdav.org/" xml:lang="en" lang="en">WebDAV (WWW
Distributed Authoring and Versioning)</a> est un ensemble d'extensions du
protocole HTTP qui permettent d'diter et de grer de faon collaborative des
ressources partages sur un serveur web distant.</p>

<p>Le <em>mcanisme de verrou</em> dfini dans WebDAV a t conu pour viter
qu'une ressource soit utilise en criture par plusieurs utilisateurs
simultanment et que les modifications des uns crasent celles des autres. Un
verrou contrle l'accs en criture  une ressource en restreignant les
oprations d'criture du protocole HTTP telles que <span xml:lang="en"
lang="en">PUT, POST</span> et <span xml:lang="en" lang="en">DELETE</span>.
Seul un utilisateur qui connat le verrou associ  une ressource est
habilit  excuter ces oprations.</p>

<p>Le protocole WebDAV concerne aussi la <em>port des verrous</em>: il
existe des verrous <em>exclusifs</em> et <em>partags</em>. Un verrou
exclusif garantit qu'une personne possde le verrou et que personne d'autre
ne peut verrouiller la ressource (ceci ne concerne pas l'accs en lecture 
cette ressource). Un verrou partag permet  un groupe d'utilisateurs de
crer leurs verrous pour une ressource, mais ils doivent se faire confiance
pour prvenir les problmes d'accs.</p>

<p>Vous trouverez des informations dtailles  propos de WebDAV dans la <a
href="http://andrew2.andrew.cmu.edu/rfc/rfc2518.html">RFC 2518</a> et sur le
site <a href="http://www.webdav.org/">WebDAV.org</a>.</p>

<h3 id="Support">Support WebDAV dans Amaya</h3>

<p></p>

<p>Amaya offre un support limit de WebDAV. Cela inclut le verrouillage et
dverrouillage de ressources, l'affichage des proprits WebDAV d'une
ressource, et la possibilit de dcouvrir les verrous. Il y a aussi des
fonctions de notification qui informent automatiquement les utilisateurs sur
les ressources verrouilles.</p>

<h3 id="Partager">Partager des documents</h3>

<p>Le support de WebDAV prsent dans Amaya aide de petits groupes
d'utilisateurs  diter des pages web de faon collaborative. Par exemple,
supposons que vous ayez un serveur WebDAV dont l'adresse est
<code>davserver.mycompany.com</code> et que vous vouliez travailler avec
quelques collgues sur des documents qui sont dans le dossier WebDAV
<code>/shared/</code> (les dossiers WebDAV sont appels des
<em>collections</em>). Dans ce dossier, vous devez modifier le document
<code>http://davserver.mycompany.com/shared/Doc1.html</code>. Vous ouvrez ce
document dans votre diteur Amaya. Vous pouvez alors le verrouiller avec la
commande <strong>Outils / Coopration / Verrouiller la ressource</strong>.
Une fois le document verrouill, si l'un de vos collgues essaie de sauver
une version modifie du document, il sera inform de la prsence de votre
verrou et ses changements ne seront pas perdus. Ainsi, lorsque le document
est verrouill, vous pouvez le modifier en toute scurit. Lorsque vous avez
termin et sauv le document, vous pouvez le dverrouiller, permettant ainsi
 d'autres de le verrouiller  leur tour et de faire des modifications.</p>

<p>Si vous voulez savoir savoir, avant de commencer  travailler sur un
document, si quelqu'un d'autre l'a verrouill, utilisez la commande
<strong>Outils / Coopration / Visualiser les proprits de la
ressource</strong> pour voir toutes les proprits du document. Vous pouvez
aussi configurer Amaya pour tre inform automatiquement si une page est
verrouille. Pour cel, ouvrez la bote de dialogue <strong>Prfrences /
WebDAV</strong>, slectionnez l'option <strong>Notification gnral</strong>
et mettez le nom de votre dossier partag dans la <strong>Liste des
ressources de l'utilisateur</strong>
(<code>http://davserver.mycompany.com/shared/</code> dans notre exemple). Une
fois cel fait, quand vous chargerez une page verrouille par un autre
utilisateur dans ce dossier, Amaya vous en informera.</p>

<h3 id="Options">Options WebDAV</h3>

<p>Les options suivantes peuvent tre choisies avec la bote de dialogue
<strong>Prfrences / WebDAV</strong>. Elles sont galement disponibles dans
le registre d'Amaya:</p>
<dl>
  <dt>Rfrences personnelles de l'utilisateur (URL)</dt>
    <dd>Une URL qui vous identifie en tant qu'utilisateur, par exemple:
      <code>mailto:myself@myhost.com</code> ou
      <code>http://www.myhost.com/myhomepage.html</code> 
      <p>Registre: <code>DAV_USER_URL= [ URL ]</code></p>
    </dd>
  <dt>Profondeur du verrou</dt>
    <dd>Une profondeur infinie affecte tous les composants d'une collection
      (un dossier) verrouille. Sinon, le verrou n'affecte que la collection
      elle-mme, empchant un utilisateur qui ne connat pas le verrou de
      crer ou d'enlever des composants.
      <p>Registre: <code>DAV_DEPTH= [ infinity | <strong>0</strong>
      ]</code></p>
    </dd>
  <dt>Type du verrou</dt>
    <dd>Verrou exclusif ou partag.. 
      <p>Registre: <code>DAV_LOCK_SCOPE= [ <strong>exclusive</strong> |
      shared ]</code></p>
    </dd>
  <dt>Expiration du verrou</dt>
    <dd>Dure souhaite pour le verrou. <strong>Infini</strong> signifie
      qu'il n'y a pas de dlai d'expiration du verrou: il doit tre retir
      explicitement. <strong>Autre (secondes)</strong> permet de choisir une
      dure d'expiration du verrou, qui doit tre spcifie en secondes dans
      le champ suivant de la bote de dialogue.<br />
      Registre: <code>DAV_TIMEOUT= [ <strong>Infinite</strong> | Second-XXXX
      ]</code></dd>
  <dt>Notification gnral</dt>
    <dd>Indique si vous souhaitez une notification  propos des ressources
      verrouilles 
      <p>Registre: <code>DAV_AWARENESS= [ yes | <strong>no</strong>
      ]</code></p>
    </dd>
  <dt>Notification  la sortie</dt>
    <dd>Indique si vous voulez tre inform sur l'tat de vos verrous quand
      vous quittez une ressources 
      <p>Registre: <code>DAV_AWARENESS_ONEXIT=[ yes | <strong>no</strong>
      ]</code></p>
    </dd>
  <dt>Liste des ressources de l'utilisateur (URL URL)</dt>
    <dd>Une liste des URL des ressources que vous utilisez comme des
      ressources WebDAV. 
      <p>Registre: <code>DAV_URLS= [ URL URL URL ... ]</code></p>
    </dd>
</dl>

<h3 id="Compiler">Compiler Amaya avec WebDAV</h3>

<p>Le support WebDAV est optionnel dans Amaya. Pour compiler Amaya avec
WebDAV, vous devez avoir:</p>
<ul>
  <li>Libwww avec support WebDAV</li>
  <li>L'option --with-dav dans le configure d'Amaya</li>
  <li>Un serveur WebDAV. <a href="http://www.w3.org/Jigsaw/">Jigsaw</a> et <a
    href="http://httpd.apache.org/">Apache</a>, par exemple, sont des
    serveurs qui supportent WebDAV.</li>
</ul>

<p>Lorsque vous avez fait le <em>check-out</em> de <a
href="http://www.w3.org/Library/">Libwww avec support WebDAV</a> et obtenu
les <a href="http://www.w3.org/Amaya/User/cvs.html">sources d'Amaya</a>,
suivez les instructions suivantes (pour les environnements Linux/Unix - pour
Windows, rferez-vous aux pages <a href="http://www.w3.org/Amaya/">Amaya</a>
et <a href="http://www.w3.org/Library/">Libwww</a>):</p>

<h4 id="libwww">Dans le rpertoire libwww:</h4>
<ul>
  <li>libtoolize -c -f</li>
  <li>perl config/winConfigure.pl</li>
  <li>aclocal; autoheader; automake; autoconf</li>
</ul>

<h4 id="Amaya">Dans le rpertoire Amaya:</h4>
<ul>
  <li>autoconf</li>
  <li>mkdir LINUX-ELF (ou GTK, ou obj)</li>
  <li>cd LINUX-ELF</li>
  <li>../configure <strong>--with-dav</strong> ... (et toutes les autres
    options que vous souhaitez)</li>
  <li>make</li>
</ul>
</div>
</body>
</html>
